package cn.com.poc.agent_application.scheduler;


import cn.com.poc.expose.aggregate.AgentApplicationService;
import cn.com.poc.knowledge.constant.KnowledgeConstant;
import cn.com.poc.knowledge.query.KnowledgeInfosQueryCondition;
import cn.com.poc.knowledge.query.KnowledgeInfosQueryItem;
import cn.com.poc.message.entity.KnowledgeTrainStatusMessage;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

@Component
public class RecommendQuestionScheduler {

    @Resource
    private AgentApplicationService agentApplicationService;

    /**
     * 每日凌晨
     *
     * @throws Exception
     */
    @Scheduled(cron = "0 0 0 * * ?")
    public void knowledgeInfoStatusUpdateScheduler() throws Exception {
        agentApplicationService.createRecommendQuestion();
    }
}
